import { AWSCredentialsAndIdentityIdProvider, AuthConfig, KeyValueStorageInterface } from '@aws-amplify/core';
/**
 * Creates a instance of {@link CognitoAWSCredentialsAndIdentityIdProvider} using
 * the provided `keyValueStorage`.
 * @param authConfig The Auth config that the credentials provider needs to function.
 * @param keyValueStorage An object that implements the {@link KeyValueStorageInterface}.
 * @returns An instance of {@link CognitoAWSCredentialsAndIdentityIdProvider}.
 */
export declare const createAWSCredentialsAndIdentityIdProvider: (authConfig: AuthConfig, keyValueStorage: KeyValueStorageInterface) => AWSCredentialsAndIdentityIdProvider;
