// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import { CognitoAWSCredentialsAndIdentityIdProvider, DefaultIdentityIdStore, } from '@aws-amplify/auth/cognito';
/**
 * Creates a instance of {@link CognitoAWSCredentialsAndIdentityIdProvider} using
 * the provided `keyValueStorage`.
 * @param authConfig The Auth config that the credentials provider needs to function.
 * @param keyValueStorage An object that implements the {@link KeyValueStorageInterface}.
 * @returns An instance of {@link CognitoAWSCredentialsAndIdentityIdProvider}.
 */
export var createAWSCredentialsAndIdentityIdProvider = function (authConfig, keyValueStorage) {
    var credentialsProvider = new CognitoAWSCredentialsAndIdentityIdProvider(new DefaultIdentityIdStore(keyValueStorage));
    credentialsProvider.setAuthConfig(authConfig);
    return credentialsProvider;
};
