"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultAmplify = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
var core_1 = require("@aws-amplify/core");
var auth_1 = require("./auth");
exports.DefaultAmplify = {
    configure: function (resourceConfig, libraryOptions) {
        auth_1.CognitoUserPoolsTokenProvider.setAuthConfig(resourceConfig.Auth);
        auth_1.cognitoCredentialsProvider.setAuthConfig(resourceConfig.Auth);
        var defaultLibraryOptions = {
            Auth: {
                tokenProvider: auth_1.CognitoUserPoolsTokenProvider,
                credentialsProvider: auth_1.cognitoCredentialsProvider,
            },
        };
        var updatedLibraryOptions = {};
        if (libraryOptions !== undefined) {
            updatedLibraryOptions = libraryOptions;
        }
        else {
            auth_1.CognitoUserPoolsTokenProvider.setKeyValueStorage(resourceConfig.ssr
                ? new core_1.CookieStorage({
                    sameSite: 'strict',
                })
                : core_1.LocalStorage);
            updatedLibraryOptions = defaultLibraryOptions;
        }
        core_1.Amplify.configure(resourceConfig, updatedLibraryOptions);
    },
    getConfig: function () {
        return core_1.Amplify.getConfig();
    },
};
